Bug 197192 - [PATCH] net/socat Fix build with LibreSSL
Summary: [PATCH] net/socat Fix build with LibreSSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-30 08:26 UTC by Bernard Spil
Modified: 2016-05-02 21:09 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (ehaupt)


Attachments
svn diff of net/socat (16.98 KB, patch)
2015-01-30 08:26 UTC, Bernard Spil
no flags Details | Diff
Build log of net/socat with patch (29.72 KB, text/plain)
2015-01-30 08:27 UTC, Bernard Spil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-01-30 08:26:21 UTC
Created attachment 152365 [details]
svn diff of net/socat

Most of this has been taken from OpenBSD's port
- Remove EGD (FreeBSD does NOT need that)
- Make SSL compression conditional
- Add CPE string (output conforms to other versions in nvd.nist.gov db)
Comment 1 Bugzilla Automation freebsd_committer 2015-01-30 08:26:21 UTC
Auto-assigned to maintainer ehaupt@FreeBSD.org
Comment 2 Bernard Spil freebsd_committer 2015-01-30 08:27:00 UTC
Created attachment 152366 [details]
Build log of net/socat with patch

Includes portlint and cpe string output
Comment 3 Emanuel Haupt freebsd_committer 2015-02-09 08:44:58 UTC
I'd rather have this customization in form of a upstream supported configure option. Problem with that patch is that it will probably fail with the next official release.

I don't mind adding the CPE.
Comment 4 Bernard Spil freebsd_committer 2015-03-02 10:40:02 UTC
Upstream reported back that they'll include the patch.

Hi Bernard,

thank you for that patch! Basically it is useful and I will integrate it
after some modifications.

Applying that patch required some editing; I had never befor seen the
form where all the orig files are suffixed .orig; accordingly my 'patch'
utility failed to understand this form. Which diff/patch utils do you
use? The patch format I know contains the diff of 2 directories.

$LOCALBASE seems to be (Free?)BSD specific and might not succeed on
other platforms without further measures.

Regards
Gerhard

Please consider adding this as a single patch-file to the port so it can be removed with the next released socat version. I've indicated my intention to help out the socat project where required.
Comment 5 Bernard Spil freebsd_committer 2015-05-31 14:28:57 UTC
Now handled with https://reviews.freebsd.org/D2691
depends on D2654
Comment 6 Emanuel Haupt freebsd_committer 2016-03-14 12:30:13 UTC
This is now being handled in the phabricator.
Comment 7 commit-hook freebsd_committer 2016-05-02 21:09:53 UTC
A commit references this bug:

Author: brnrd
Date: Mon May  2 21:09:32 UTC 2016
New revision: 414484
URL: https://svnweb.freebsd.org/changeset/ports/414484

Log:
  net/socat: Fix OpenSSL build issues

    - While here fix CPE Vendor (NVD has dest-unreach)
    - Fix build when OpenSSL from ports was built without SSLv3 support
    - Fix build when OpenSSL is built without compression support
    - Fix build for OpenSSL 1.1.0pre without EGD support

  PR:		197192
  Reviewed by:	koobs (mentor), feld (mentor), ehaupt (maintainer)
  Approved by:	feld (mentor), ehaupt (maintainer)
  Differential Revision:	D2691

Changes:
  head/net/socat/Makefile
  head/net/socat/files/patch-sslcls.c
  head/net/socat/files/patch-sslcls.h
  head/net/socat/files/patch-xio-openssl.c
  head/net/socat/files/patch-xioopts.c